%define	name	attr
%define	version	2.4.46
%define minor_version 1
%define	release	%mkrel 2

%define	lib_name_orig	lib%{name}
%define	lib_major	1
%define	lib_name 	%mklibname %{name} %{lib_major}

Summary:	Utility for managing filesystem extended attributes
Summary(de):	Utility zum Bearbeiten der erweiterten Attribute des Filesystems
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	ftp://oss.sgi.com/projects/xfs/download/cmd_tars/%{name}-%{version}.src.tar.xz
License:	GPLv2
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libtool
URL:		http://oss.sgi.com/projects/xfs/

%description
A set of tools for manipulating extended attributes on filesystem
objects, in particular getfattr(1) and setfattr(1).
An attr(1) command is also provided which is largely compatible
with the SGI IRIX tool of the same name.

#german
%description -l de
Eine Menge an Tools zur Manipulation der erweiterten Attribute 
bei Filesystemobjekten, speziell getfattr(1) und setfattr(1). 
Ein attr(1) Kommando gibt es auch, welches weitgehend kompatibel 
mit dem SGI IRIX Tool gleichen Namens ist.

%package -n	%{lib_name}
Summary:	Main library for %{lib_name_orig}
Summary(de):	Bibliothek für %{lib_name_orig}
Group:		System/Libraries
Provides:	%{lib_name_orig} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

#german
%description -n	%{lib_name} -l de
Das Paket beinhaltet die benötigte Bibliothek zum ausführen von 
Programme, die verlinkt sind mit %{lib_name_orig}.

%package -n	%{lib_name}-devel
Summary:	Extended attribute static libraries and headers
Summary(de):	Entwicklerdateien für %{lib_name_orig}
Group:		Development/Libraries
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	attr-devel = %{version}-%{release}
Obsoletes:	attr-devel

%description -n	%{lib_name}-devel
This package contains the libraries and header files needed to
develop programs which make use of extended attributes.
For Linux programs, the documented system call API is the
recommended interface, but an SGI IRIX compatibility interface
is also provided.

Currently only ext2, ext3, JFS and XFS support extended attributes.
The SGI IRIX compatibility API built above the Linux system calls is
used by programs such as xfsdump(8), xfsrestore(8) and xfs_fsr(8).

You should install libattr-devel if you want to develop programs
which make use of extended attributes.  If you install libattr-devel
then you'll also want to install attr.

#german
%description -n	%{lib_name}-devel -l de
Dieses Paket enthält die Header und Entwickler Bibliotheken die zur 
Entwicklung von Anwendungen die Erweiterte Attribute verwenden benötigt 
werden. Für Linux Programme, das dokumentierte System wird API genannt 
und ist die offizielle Schnittstelle, aber eine SGI IRIX kompatible 
Schnittstelle wird ebenso unterstützt.
 
Zur Zeit werden nur ext2, ext3, JFS und XFS von den erweiterten Attributen 
unterstützt. Die SGI IRIX kompatible API auf dem Linux System wird von 
Programmen wie xfsdump(8), xfsrestore(8) und xfs_fsr(8) verwendet. 

Du solltest libattr-devel installieren, wenn du Anwendungen entwickelst die 
erweiterte Attribute verwenden. Wenn du libattr-devel installierst mußt du 
auch attr Installieren.

%prep
%setup -q

%build
%configure2_5x --libdir=/%{_lib}
%make

%install
rm -rf %{buildroot}
make install DIST_ROOT=%{buildroot}/
make install-dev DIST_ROOT=%{buildroot}/
make install-lib DIST_ROOT=%{buildroot}/
# fix conflict with man-pages-1.56
rm -fr %{buildroot}{%_mandir/man2,%_datadir/doc}

# Remove unpackaged symlinks
rm -fr %{buildroot}/%{_lib}/libattr.{a,la} \
       %{buildroot}%{_libdir}/libattr.la
 
%find_lang %{name}


%post -n %{lib_name}
/sbin/ldconfig

%postun -n %{lib_name}
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc/CHANGES.gz README 
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{lib_name}
%defattr(-,root,root)
%doc doc/COPYING
/%{_lib}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc doc/CHANGES.gz doc/COPYING README
/%{_lib}/*.so
%{_libdir}/*.so
%{_libdir}/*a
%{_mandir}/man3/*
%{_mandir}/man5/*
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%changelog
* Thu Jul 6 2016 adrianomorselli <adrianomorselli> 2.4.46-2uplos2012
- rebuild

* Wed Feb 29 2012 Neal <nealbrks0 at gmail dot com> 2.4.46-2pclos2012
- process

* Wed Feb 29 2012 leiche <meisssw01 at gmail.com> 2.4.46-2pclos2012
- rebuild for 32 bit
- add german description

* Tue Sep 06 2011 Texstar <texstar at gmail.com> 2.4.46-1pclos2011
- 2.4.46
